<!DOCTYPE html>
<html class="no-js" lang="en-US">

{% include 'head.twig' %}

<body class="home blog wp-custom-logo col-3cm full-width topbar-enabled mobile-sidebar-hide-s2 chrome">

<div id="wrapper">
    {% include "partials/header.twig" %}

    <div class="container" id="page">
        <div class="container-inner">
            <div class="main">
                {#{% if url == '/admin' or url == '/admin/news' or url == '/login' or url == '/about-us' or url == '/'%}#}
                {#{% else %}#}
                    <div class="main-inner group">
                {#{% endif %}#}
                    {% block content %}
                        <section class="content">
                            <div class="page-title pad group">
                                <h2>Всего материалов:
                                    <span class="hu-blog-subheading">{{ news_count }}</span>
                                </h2>
                            </div>
                            <div class="page-title pad group">
                                <h1>Новости мира IT.</h1>
                                <h2 style="opacity: 0.7">Узнавайте первым о всех тенденциях современных технологий и IT индустрии.</h2>
                            </div>
                            <div class="pad group">
                                <div class="featured flexslider" id="flexslider-featured" style="background-color: #f6f6f6; padding: 10px; border-radius: 10px;">
                                    <ul class="slides">
                                        {% for news in news_last %}
                                        <li>
                                            <article id="post-2081" class="group post-2081 post type-post status-publish format-video has-post-thumbnail hentry category-featured category-lifestyle post_format-post-format-video">
                                                <div class="post-inner post-hover">
                                                    <div class="post-thumbnail">
                                                            <img src="{{ news.front_img }}" alt="{{ news.title }}">
                                                        <a class="post-comments">
                                                            <span><i class="glyphicon glyphicon-heart"></i>{{ news.rate }}</span>
                                                        </a>
                                                    </div>
                                                    <div class="post-meta group">
                                                        <p class="post-category">
                                                            <a href="{{ news.category.query }}" rel="category tag">{{ news.category.title|raw }}</a>
                                                        </p>
                                                        <p>
                                                            Опубликовано: <time class="published updated">{{ news.date }}</time>
                                                        </p>
                                                    </div>
                                                    <h3 class="post-title entry-title">
                                                        <a href="{{ news.category.query }}/{{ news.id }}" rel="bookmark">{{ news.title }}</a>
                                                    </h3>
                                                    <div class="entry excerpt entry-summary">
                                                        <p>{{ news.description|raw }}</p>
                                                    </div>
                                                    <a href="{{ news.category.query }}/{{ news.id }}" type="button" class="btn-full-post">Перейти к новости</a>
                                                </div>
                                            </article>
                                        </li>
                                        {% endfor %}
                                    </ul>
                                </div>
                                <hr>
                                    <div class="post-row">
                                        {% include 'news-category-loadup.twig' %}
                                    </div>
                                <div class="load-up">
                                </div>
                            </div>
                            <div class="progress" style="display: none; height: 100px;">
                                <div class="loader"></div>
                            </div>
                            <hr>
                            <form role="form" action="" method="POST" id="loadupform" onsubmit="return loadUpForm()" name="load_up" enctype= "multipart/form-data">
                                <button class="more-bottom" type="button" id="loadup_ajax"  name="loadup">
                                    Ещё
                                </button>
                            </form>
                            <br>
                        </section>

                        {% include "partials/left-block.twig" %}
                        {% include "partials/right-block.twig" %}

                        <script type="text/javascript">
                            jQuery(function($) {
                                var firstImage = $('#flexslider-featured').find('img').filter(':first'),
                                    checkforloaded = setInterval(function() {
                                        var image = firstImage.get(0);
                                        if (image.complete || image.readyState == 'complete' || image.readyState == 4) {
                                            clearInterval(checkforloaded);
                                            $.when($('#flexslider-featured').flexslider({
                                                animation: "slide",
                                                useCSS: false,
                                                directionNav: true,
                                                controlNav: true,
                                                pauseOnHover: true,
                                                animationSpeed: 400,
                                                smoothHeight: true,
                                                touch: 1,
                                                slideshow: false,
                                                slideshowSpeed: 5000
                                            })).done(function() {
                                                var $_self = $(this);
                                                _trigger = function($_self) {
                                                    $_self.trigger('featured-slider-ready');
                                                };
                                                _trigger = _.debounce(_trigger, 100);
                                                _trigger($_self);
                                            });
                                        }
                                    }, 20);
                            });
                        </script>

                    {% endblock %}

                </div>
            </div>
        </div>
    </div>
    {% include "partials/footer.twig" %}
</div>
</body>
</html>